# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.641   -> 1.642  
#	drivers/usb/host/uhci-hcd.c	1.6     -> 1.7    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/07/12	greg@kroah.com	1.642
# USB: fix for oops at shutdown when uhci-hcd is compiled into the kernel.
# --------------------------------------------
#
diff -Nru a/drivers/usb/host/uhci-hcd.c b/drivers/usb/host/uhci-hcd.c
--- a/drivers/usb/host/uhci-hcd.c	Fri Jul 12 11:44:36 2002
+++ b/drivers/usb/host/uhci-hcd.c	Fri Jul 12 11:44:36 2002
@@ -2407,7 +2407,7 @@
 	return retval;
 }
 
-static void __devexit uhci_stop(struct usb_hcd *hcd)
+static void uhci_stop(struct usb_hcd *hcd)
 {
 	struct uhci_hcd *uhci = hcd_to_uhci(hcd);
 
@@ -2488,7 +2488,7 @@
 	suspend:		uhci_suspend,
 	resume:			uhci_resume,
 #endif
-	stop:			__devexit_p(uhci_stop),
+	stop:			uhci_stop,
 
 	hcd_alloc:		uhci_hcd_alloc,
 	hcd_free:		uhci_hcd_free,
